#Tasks Involved for Single Sign On
# 1. Declare parameters - params.pp
# 2. Install -  krb5-workstation krb5-libs pam_krb5 samba samba-client ntp bind-utils - installs.pp
# 3. Configure AD DNS, AD Users, AD Groups, hosts, resolv.conf, nsswitch.conf, krb5.conf, smb.conf, net ads join, pam system-auth - configs.pp
# 4. Service samba, winbind - services.pp
# 5. Test ntp, wbinfo, net ads testjoin, login - tests.pp

class venkymullapudi_winbind (
# 1. DECLARING PARAMS
  $var        =  $venkymullapudi_winbind::params::var,
  $adserver   =  $venkymullapudi_winbind::params::adserver,
  $adsrvrcaps =  $venkymullapudi_winbind::params::adsrvrcaps,
  $adipaddr   =  $venkymullapudi_winbind::params::adipaddr,
  $dnsipaddr  =  $venkymullapudi_winbind::params::dnsipaddr,
  $domain     =  $venkymullapudi_winbind::params::domain,
  $domaincaps =  $venkymullapudi_winbind::params::domaincaps,
  $aduser     =  $venkymullapudi_winbind::params::aduser,
  $adpasswd   =  $venkymullapudi_winbind::params::adpasswd,
  $realmcaps  =  $venkymullapudi_winbind::params::realmcaps,
  $realmsmll  =  $venkymullapudi_winbind::params::realmsmll,
  $kdc        =  $venkymullapudi_winbind::params::kdc,
  $kdccaps    =  $venkymullapudi_winbind::params::kdccaps,
  $workgroup  =  $venkymullapudi_winbind::params::workgroup,
) inherits venkymullapudi_winbind::params {

# 2. INSTALLATIONS
# 3. Configurations
# 4. SERVICES
# 5. TESTS

  anchor { 'venkymullapudi_winbind::begin': } ->
  class { '::venkymullapudi_winbind::installs': } ->
  class { '::venkymullapudi_winbind::configs': } ~>
  class { '::venkymullapudi_winbind::services': } ->
  class { '::venkymullapudi_winbind::tests': } ->
  anchor { 'venkymullapudi_winbind::end': }
}
